package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "分页对象" , name = "ApiJcBillHgSearch")
public class ApiJcBillHgSearch {

	@Schema(description="总数", required = false, example="100")
	private long total;
	
	@Schema(description="总页数", required = false, example="10")
	private int totalPages;
	
	@Schema(description="回购订单列表", required = false, example="")
	private List<ApiJcBillHgSearchItem> items;

	public long getTotal() {
		return total;
	}

	public void setTotal(long total) {
		this.total = total;
	}

	public int getTotalPages() {
		return totalPages;
	}

	public void setTotalPages(int totalPages) {
		this.totalPages = totalPages;
	}

	public List<ApiJcBillHgSearchItem> getItems() {
		return items;
	}

	public void setItems(List<ApiJcBillHgSearchItem> items) {
		this.items = items;
	}
}
